<p align="center">
 <img src="https://rawgit.com/Niklan/Glisseo/8.x-1.x/logo.svg" align="center" alt="Glisseo Logo">

 <p align="center">
   Base theme for Drupal with starterkit.
 </p>
</p>

## Features

* **Modern CSS**, which includes **CSS variables** for styling and **CSS grids** for layouts!
* [SCSS](https://sass-lang.com/) for some improvements to CSS. The theme does not abuse SCSS, on the contrary, uses only a small part of its capabilities. This makes styles clean, easy to read, maintain and understand. Even nesting is used only for such selectors as `:focus`, `:hover`, `::before`, `::after`.
* (optional) [PostCSS](https://postcss.org/) for some additional improvements and processing that allows getting rid of most of the mixins of SCSS and focus on native CSS.
* (optional) [Stylelint](https://stylelint.io/) if you prefer to apply some standards to your theme.
* [ITCSS architecture](https://github.com/ahmadajmi/awesome-itcss) for style structure. If you're not familiar with ITCSS, it's recommended to watch [this presentation](https://www.youtube.com/watch?v=1OKZOV-iLj4&feature=youtu.be&t=524) by Harry Roberts (@csswizardry) to get inspired.
* [BEM methodology](https://bem.info/) for template class naming. In [variation](https://csswizardry.com/2013/01/mindbemding-getting-your-head-round-bem-syntax/) of Harry Roberts (@csswizardry) as well.

The theme provides only a basic design for HTML elements, a small set of tools and a pre-organized structure. This means that you need to design the site and connect all the necessary libraries and extensions by yourself. It's a price for the flexibility and freedom that a theme gives you. It's a canvas with some important brushes.

Thanks to the fact that everything is separated by components and purpose, you can transfer the results from one project to another simply by copying the necessary style files and connecting them.

## Documentation

Read [documentation](docs/docs.md) for more info.